[Date Prev][Date Next] [Thread Prev][Thread Next] [Date Index] [Thread Index]

Re: flubber and grubber down; wiki



Hi!

On Wed, 8 Aug 2012 23:30:16 +0200, Samuel Thibault <samuel.thibault@gnu.org> wrote:
> Thomas Schwinge, le Sun 05 Aug 2012 14:05:10 +0200, a écrit :
> > On Fri, 22 Jun 2012 09:52:28 +0200, I wrote:
> > > Two days ago, zenhost (the Xen dom0 hosting flubber, grubber, snubber)
> > > rebooted, and now the root file systems of flubber and grubber are
> > > sufficiently damaged that they don't boot anymore (hangs after starting
> > > the exec server, init would be next).  [...]
> > > 
> > > I'll re-install flubber and grubber in the next days -- most steps of
> > > that are scripted.  (Assuming this still works; it's been two years.)
> > 
> > Turns out, »in the next days« is now, however:
> > 
> >     Unpacking util-linux (from .../util-linux_2.20.1-5.1_hurd-i386.deb) ...
> >     Can't exec "insserv": No such file or directory at /usr/sbin/update-rc.d line 391.
> >     update-rc.d: error: insserv rejected the script header
> >     dpkg: error processing /var/cache/apt/archives/util-linux_2.20.1-5.1_hurd-i386.deb (--unpack):
> >      subprocess new pre-installation script returned error exit status 255
> >     Errors were encountered while processing:
> >      /var/cache/apt/archives/util-linux_2.20.1-5.1_hurd-i386.deb
> > 
> > Help?
> 
> This is odd: don't you have the insserv package installed? It's supposed
> to be a dependency of the sysv-rc package. Perhaps it's simply the
> upgrade path that you had which didn't get the dependency right.

This is with using crosshurd, I should perhaps have told.  Simply a
missing dependency somewhere?


Grüße,
 Thomas

Attachment: pgpKvNGIpJI6M.pgp
Description: PGP signature


Reply to: